AWS
action Lambda

# delete_event_source_mapping

Delete an event source mapping

Run it now
View details

Type | action
Module | chaosaws.awslambda.actions
Name | delete_event_source_mapping
Return | mapping

Usage

JSON

    {
      "name": "delete-event-source-mapping",
      "type": "action",
      "provider": {
        "type": "python",
        "module": "chaosaws.awslambda.actions",
        "func": "delete_event_source_mapping",
        "arguments": {
          "event_uuid": ""
        }
      }
    }

YAML

    name: delete-event-source-mapping
    provider:
      arguments:
        event_uuid: ""
      func: delete_event_source_mapping
      module: chaosaws.awslambda.actions
      type: python
    type: action

Arguments

Name | Type | Default | Required | Title | Description
--- | --- | --- | --- | --- | ---
event_uuid | string |  | Yes | Event UUID |

Signature

    def delete_event_source_mapping(
            event_uuid: str,
            configuration: Dict[str, Dict[str, str]] = None,
            secrets: Dict[str, Dict[str, str]] = None) -> Dict[str, Any]:
        pass

## Related starters

- AWS
  action Lambda

  ## `put_function_concurrency`

  Throttles Lambda by setting reserved concurrency amount
- AWS
  probe Lambda

  ## `get_function_memory_size`

  Get the configured memory size of a lambda function
- AWS
  action Lambda

  ## `toggle_event_source_mapping_state`

  Toggle an event source mapping to be disabled or enabled